Subject: Re: bug#12507: [debbugs-tracker] Processed: severity 12507 wishlist

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 17:02:38 +0200

Chong Yidong <[email-masked]> writes:

> "Drew Adams" <[email-masked]> writes:
>
>> Am I wrong that `write-region' does not provide for backups?
>> If not, then this is clearly a bug, and a pretty serious one, IMO.
>
> It would be annoying litter the filesystem with backups for every
> internal configuration file.  The abbrev file and desktop file are not
> backed up either, and I think that's fine.
>
> I wouldn't mind adding a global feature to optionally enable backups for
> such files.

Indeed; data files are normally not backed up, and the bookmark file is
one such file.  So I'm closing this bug report.

If somebody wants a global "make write-region make backup files"
(possibly on a per-mode basis?), then a new bug report should be opened.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no